﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;

namespace RadGridView_WPF_AR_2
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
           
        }

        void Errors_CollectionChanged(object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e)
        {
           //Successfully subscribed
        }

        private void clubsGrid_ValidatingItem(object sender, System.ComponentModel.CancelEventArgs e)
        {
            var club = this.clubsForm.CurrentItem as Club;
            if (club.Name.Length < 8)
            {
                clubsForm.ValidationSummary.Errors.Add(new Telerik.Windows.Controls.Data.ErrorInfo() { ErrorContent = "Name too short", SourceFieldDisplayName = "Name Error" });
            }
        }

        private void clubsGrid_Loaded(object sender, RoutedEventArgs e)
        {
            this.clubsForm.ValidationSummary.Errors.CollectionChanged += Errors_CollectionChanged;
        }
    }
}
